Bug 1286322 - Review Request: mathic - Data structures for Groebner basis computations
Review Request: mathic - Data structures for Groebner basis computations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 21:45 EST by Jerry James
Modified: 2015-12-07 15:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 15:29:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-11-27 21:45:12 EST
Spec URL: https://jjames.fedorapeople.org/mathic/mathic.spec
SRPM URL: https://jjames.fedorapeople.org/mathic/mathic-1.0-1.20130827.git66b5d74.fc24.src.rpm
Fedora Account System Username: jjames
Description: Mathic is a C++ library of fast data structures designed for use in Groebner basis computation.  This includes data structures for ordering S-pairs, performing divisor queries and ordering polynomial terms during polynomial reduction.

With Mathic you get to use highly optimized code with little effort so that you can focus more of your time on whatever part of your Groebner basis implementation that you are interested in.  The data structures use templates to allow you to use them with whatever representation of monomials/terms and coefficients that your code uses.  In fact the only places where Mathic defines its own monomials/terms is in the test code and example code.  Currently only dense representations of terms/monomials are suitable since Mathic will frequently ask "what is the exponent of variable number x in this term/monomial?".
Comment 1 gil cattaneo 2015-11-27 22:50:20 EST
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1200395 ?
Comment 2 gil cattaneo 2015-11-27 23:36:33 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 87 files have unknown license. Detailed
     output of licensecheck in /home/gil/1286322-mathic/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mathic-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/gil/1286322-mathic/results/mathic-1.0-1.20130827.git66b5d74.fc24.i686.rpm /home/gil/1286322-mathic/results/mathic-devel-1.0-1.20130827.git66b5d74.fc24.i686.rpm /home/gil/1286322-mathic/results/mathic-debuginfo-1.0-1.20130827.git66b5d74.fc24.i686.rpm /home/gil/1286322-mathic/results/mathic-debuginfo-1.0-1.20130827.git66b5d74.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/gil/1286322-mathic/results/mathic-1.0-1.20130827.git66b5d74.fc24.i686.rpm /home/gil/1286322-mathic/results/mathic-devel-1.0-1.20130827.git66b5d74.fc24.i686.rpm /home/gil/1286322-mathic/results/mathic-debuginfo-1.0-1.20130827.git66b5d74.fc24.i686.rpm /home/gil/1286322-mathic/results/mathic-debuginfo-1.0-1.20130827.git66b5d74.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: mathic-1.0-1.20130827.git66b5d74.fc24.i686.rpm
          mathic-devel-1.0-1.20130827.git66b5d74.fc24.i686.rpm
          mathic-debuginfo-1.0-1.20130827.git66b5d74.fc24.i686.rpm
          mathic-1.0-1.20130827.git66b5d74.fc24.src.rpm
mathic.i686: W: spelling-error %description -l en_US monomials -> binomials
mathic.i686: W: spelling-error %description -l en_US monomial -> monomaniacal, monomania, binomial
mathic-devel.i686: W: no-documentation
mathic.src: W: spelling-error %description -l en_US monomials -> binomials
mathic.src: W: spelling-error %description -l en_US monomial -> monomaniacal, monomania, binomial
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Requires
--------
mathic (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

mathic-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libmathic.so.0
    mathic(x86-32)
    pkgconfig(memtailor)

mathic-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
mathic:
    libmathic.so.0
    mathic
    mathic(x86-32)

mathic-devel:
    mathic-devel
    mathic-devel(x86-32)
    pkgconfig(mathic)

mathic-debuginfo:
    mathic-debuginfo
    mathic-debuginfo(x86-32)



Source checksums
----------------
https://github.com/broune/mathic/archive/66b5d74f8417459414cbf3753cfa9a0128483cbd/mathic-66b5d74.tar.gz :
  CHECKSUM(SHA256) this package     : 491a2b2b30a204b19fc70e18cf429944e0eff8be1176696e6ae4cd5f4fc40664
  CHECKSUM(SHA256) upstream package : 491a2b2b30a204b19fc70e18cf429944e0eff8be1176696e6ae4cd5f4fc40664


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1286322 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 gil cattaneo 2015-11-27 23:44:53 EST
NON blocking issues:

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 87 files have unknown license. Detailed
     output of licensecheck in /home/gil/1286322-mathic/licensecheck.txt
  
  Please ask upstream to add headers license in those files where is missing

[!]: License file installed when any subpackage combination is installed.

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

  Reported @ https://github.com/broune/mathic/pull/3

[!]: Package does not include license text files separate from upstream.

Approved
Comment 4 Jerry James 2015-11-28 15:37:44 EST
Thanks for the review!  Upstream appears dead, so I don't know that there is any hope that the license situation will be improved, but I will try.
Comment 5 Till Maas 2015-11-28 17:25:14 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mathic
Comment 6 Fedora Update System 2015-11-28 18:57:31 EST
mathic-1.0-1.20130827.git66b5d74.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf85086659
Comment 7 Fedora Update System 2015-11-29 18:53:08 EST
mathic-1.0-1.20130827.git66b5d74.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mathic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf85086659
Comment 8 Fedora Update System 2015-12-07 15:29:15 EST
mathic-1.0-1.20130827.git66b5d74.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.